package com.hfkj.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Map;

/**
 * mapper扩展类
 */
public interface BsMerKeyMapperExt {

    @Select({
            " select mer_no merNo,b.`key` merKey from bs_mer a " +
            " LEFT JOIN bs_mer_key b on b.mer_id = a.id " +
            " where a.mer_no = #{merNo} and b.status = 1"
    })
    Map<String, Object> queryKeyByMerNo(@Param("merNo") String merNo);
}
