package com.hfkj.openapi.v1.model.response;

import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;

/**
 * 请求分账
 * @className: RequestSeparateModel
 * @author: HuRui
 * @date: 2023/5/26
 **/
@Data
public class ResponseSeparateQueryAmtModel {

    /**
     * 商户号
     */
    private String merchantNo;

    /**
     * 总分账金额
     */
    private BigDecimal totalSeparateAmt;

    /**
     * 可分账金额
     */
    private BigDecimal canSeparateAmt;

    /**
     * 签名参数
     */
    private String sign;

}
