package com.hfkj.service;

import com.hfkj.entity.BsTradeOrderProfitSharing;
import com.hfkj.entity.BsTradeOrderProfitSharingReceiver;

import java.util.List;
import java.util.Map;

/**
 * @className: BsTradeOrderProfitSharingReceiverService
 * @author: HuRui
 * @date: 2023/2/22
 **/
public interface BsTradeOrderProfitSharingReceiverService {

    /**
     * 编辑数据
     * @param profitSharingReceiver
     */
    void editData(BsTradeOrderProfitSharingReceiver profitSharingReceiver);

    /**
     * 根据分账记录，查询接收方
     * @param profitSharingId
     * @return
     */
    List<BsTradeOrderProfitSharingReceiver> getReceiverListByProfitSharingId(Long profitSharingId);

    /**
     * 查询分账列表
     * @param param
     * @return
     */
    List<BsTradeOrderProfitSharingReceiver> getProfitSharingList(Map<String, Object> param);

}
