package com.bweb.excel.model;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * 导入设备模型
 * @author hurui
 */
@Data
public class ImportDeviceModel {

    @ExcelProperty("设备编号")
    private String deviceNo;

    @ExcelProperty("设备SIM卡IMSI号码")
    private String deviceImsi;

    @ExcelProperty("设备SIM卡ICCID号码")
    private String deviceIccid;

    /**
     * 错误消息
     */
    private String errorMessage;
}
