package com.hfkj.channel.ccb.config;

import com.hfkj.config.CommonSysConst;
import org.apache.commons.collections4.MapUtils;
import org.apache.commons.lang3.StringUtils;
import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.DocumentHelper;
import org.dom4j.Element;
import org.xml.sax.SAXException;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.transform.OutputKeys;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;
import java.io.IOException;
import java.io.InputStream;
import java.io.StringWriter;
import java.util.*;

/**
 * 建行配置
 * @author hurui
 */
public class CCBConfig {

    /**
     * B扫C 请求支付地址
     */
    public final static String B2C_HOST = "https://ibsbjstar.ccb.com.cn/CCBIS/B2CMainPlat_00_BEPAY?";

    /**
     * C扫B 请求支付地址
     */
    public final static String C2B_HOST = "https://ibsbjstar.ccb.com.cn/CCBIS/ccbMain?CCB_IBSVersion=V6";

    /**
     * 请求地址
     */
    public final static String HOST = "https://merchant.ccb.com";

    /**
     * 配置文件地址
     */
    public final static String CONFIG_HOST = CommonSysConst.getSysConfig().getFile_url() + "/ccb/config.xml";

}
