package com.hfkj.dao;

import com.hfkj.entity.BsMerPlatformNoRate;
import com.hfkj.entity.BsMerPlatformNoRateExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface BsMerPlatformNoRateMapper extends BsMerPlatformNoRateMapperExt {
    @SelectProvider(type=BsMerPlatformNoRateSqlProvider.class, method="countByExample")
    long countByExample(BsMerPlatformNoRateExample example);

    @DeleteProvider(type=BsMerPlatformNoRateSqlProvider.class, method="deleteByExample")
    int deleteByExample(BsMerPlatformNoRateExample example);

    @Delete({
        "delete from bs_mer_platform_no_rate",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into bs_mer_platform_no_rate (mer_platform_no_id, mer_id, ",
        "mer_no, platform_type, ",
        "platform_no, cup_no, ",
        "rate_type_code, rate_type_name, ",
        "rate_pct, `status`, ",
        "create_time, update_time, ",
        "ext_1, ext_2, ext_3)",
        "values (#{merPlatformNoId,jdbcType=BIGINT}, #{merId,jdbcType=BIGINT}, ",
        "#{merNo,jdbcType=VARCHAR}, #{platformType,jdbcType=INTEGER}, ",
        "#{platformNo,jdbcType=VARCHAR}, #{cupNo,jdbcType=VARCHAR}, ",
        "#{rateTypeCode,jdbcType=INTEGER}, #{rateTypeName,jdbcType=VARCHAR}, ",
        "#{ratePct,jdbcType=DECIMAL}, #{status,jdbcType=INTEGER}, ",
        "#{createTime,jdbcType=TIMESTAMP}, #{updateTime,jdbcType=TIMESTAMP}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(BsMerPlatformNoRate record);

    @InsertProvider(type=BsMerPlatformNoRateSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(BsMerPlatformNoRate record);

    @SelectProvider(type=BsMerPlatformNoRateSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="mer_platform_no_id", property="merPlatformNoId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_id", property="merId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_no", property="merNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="platform_type", property="platformType", jdbcType=JdbcType.INTEGER),
        @Result(column="platform_no", property="platformNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="cup_no", property="cupNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="rate_type_code", property="rateTypeCode", jdbcType=JdbcType.INTEGER),
        @Result(column="rate_type_name", property="rateTypeName", jdbcType=JdbcType.VARCHAR),
        @Result(column="rate_pct", property="ratePct", jdbcType=JdbcType.DECIMAL),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<BsMerPlatformNoRate> selectByExample(BsMerPlatformNoRateExample example);

    @Select({
        "select",
        "id, mer_platform_no_id, mer_id, mer_no, platform_type, platform_no, cup_no, ",
        "rate_type_code, rate_type_name, rate_pct, `status`, create_time, update_time, ",
        "ext_1, ext_2, ext_3",
        "from bs_mer_platform_no_rate",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="mer_platform_no_id", property="merPlatformNoId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_id", property="merId", jdbcType=JdbcType.BIGINT),
        @Result(column="mer_no", property="merNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="platform_type", property="platformType", jdbcType=JdbcType.INTEGER),
        @Result(column="platform_no", property="platformNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="cup_no", property="cupNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="rate_type_code", property="rateTypeCode", jdbcType=JdbcType.INTEGER),
        @Result(column="rate_type_name", property="rateTypeName", jdbcType=JdbcType.VARCHAR),
        @Result(column="rate_pct", property="ratePct", jdbcType=JdbcType.DECIMAL),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    BsMerPlatformNoRate selectByPrimaryKey(Long id);

    @UpdateProvider(type=BsMerPlatformNoRateSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") BsMerPlatformNoRate record, @Param("example") BsMerPlatformNoRateExample example);

    @UpdateProvider(type=BsMerPlatformNoRateSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") BsMerPlatformNoRate record, @Param("example") BsMerPlatformNoRateExample example);

    @UpdateProvider(type=BsMerPlatformNoRateSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(BsMerPlatformNoRate record);

    @Update({
        "update bs_mer_platform_no_rate",
        "set mer_platform_no_id = #{merPlatformNoId,jdbcType=BIGINT},",
          "mer_id = #{merId,jdbcType=BIGINT},",
          "mer_no = #{merNo,jdbcType=VARCHAR},",
          "platform_type = #{platformType,jdbcType=INTEGER},",
          "platform_no = #{platformNo,jdbcType=VARCHAR},",
          "cup_no = #{cupNo,jdbcType=VARCHAR},",
          "rate_type_code = #{rateTypeCode,jdbcType=INTEGER},",
          "rate_type_name = #{rateTypeName,jdbcType=VARCHAR},",
          "rate_pct = #{ratePct,jdbcType=DECIMAL},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(BsMerPlatformNoRate record);
}