package com.hfkj.openapi.v1.model;

import lombok.Data;


/**
 * @className: TokenModel
 * @author: HuRui
 * @date: 2023/5/23
 **/
@Data
public class TokenModel {

    /**
     * 授权类型
     */
    private String grantType;

    /**
     * token
     */
    private String token;

    /**
     * 有效期
     */
    private Long expiresTime;

    public TokenModel(TokenGrantType grantType, String token, Long expiresTime) {
        this.grantType = grantType.getCode();
        this.token = token;
        this.expiresTime = expiresTime;
    }



}
