package com.hfkj.service;

import com.hfkj.entity.BsTradeTakeConfig;
import com.hfkj.sysenum.PlatformTypeEnum;
import com.hfkj.sysenum.ProfitSharingReceiverRoleEnum;

import java.util.List;

/**
 * @className: BsTradeTakeConfigService
 * @author: HuRui
 * @date: 2023/2/27
 **/
public interface BsTradeTakeConfigService {

    /**
     * 编辑数据
     * @param tradeTakeConfig
     */
    void editData(BsTradeTakeConfig tradeTakeConfig);

    /**
     * 批量编辑数据
     * @param tradeTakeConfigList
     */
    void editBatchData(List<BsTradeTakeConfig> tradeTakeConfigList);

    /**
     * 查询配置
     * @param companyId  公司id
     * @param profitSharingReceiverRoleEnum 角色
     * @return
     */
    BsTradeTakeConfig getTradeTakeConfig(Long companyId, PlatformTypeEnum platformType, ProfitSharingReceiverRoleEnum profitSharingReceiverRoleEnum, Long receiverObjectId , Long subReceiverObjectId);

}
